org.apache.cassandra.auth

## Interface ISaslAwareAuthenticator

- All Superinterfaces:
    IAuthenticator
  All Known Implementing Classes:
    PasswordAuthenticator

      public interface ISaslAwareAuthenticator
      extends IAuthenticator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ISaslAwareAuthenticator.SaslAuthenticator`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.auth.IAuthenticator

      `IAuthenticator.Option`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.cassandra.auth.IAuthenticator

      `PASSWORD_KEY, USERNAME_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISaslAwareAuthenticator.SaslAuthenticator` | `newAuthenticator()` Provide a SaslAuthenticator to be used by the CQL binary protocol server.

    - ### Methods inherited from interface org.apache.cassandra.auth.IAuthenticator

      `alter, alterableOptions, authenticate, create, drop, protectedResources, requireAuthentication, setup, supportedOptions, validateConfiguration`

- - ### Method Detail

    - #### newAuthenticator

          ISaslAwareAuthenticator.SaslAuthenticator newAuthenticator()

      Provide a SaslAuthenticator to be used by the CQL binary protocol server. If the configured IAuthenticator requires authentication but does not implement this interface we refuse to start the binary protocol server as it will have no way of authenticating clients.
      Returns:
        SaslAuthenticator implementation (see `PasswordAuthenticator.PlainTextSaslAuthenticator`)

Copyright © 2014 The Apache Software Foundation